# Gimp.ParamSpecObject.has_default

    @accepts(GObject.ParamSpec)
    @returns(bool)
    def has_default(pspec):
        # Python wrapper for gimp_param_spec_object_has_default()

This function tells whether a default was set, typically with [func@Gimp.ParamSpecObject.set_default] or any other way. It does not guarantee that the default is an actual object (it may be None if valid as a default).

pspec

  a GObject.Object GObject.ParamSpec

Returns